# Class CIM_NetworkPortStatistics
extends CIM_StatisticalData

The NetworkPortStatistics class describes the statistics for the NetworkPort.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_NetworkPortStatistics

## Direct Known Subclasses

CIM_EthernetPortStatistics
CIM_FCPortStatistics
CIM_TokenRingPortStatistics

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The NetworkPortStatistics class describes the statistics for the NetworkPort.
UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BytesReceived | uint64 |
Counter | boolean | true
Description | string | The total number of bytes that are received, including framing characters.
MappingStrings | string | MIB.IETF|MIB-II.ifInOctets, MIF.DMTF|Network Adapter 802 Port|001.9
PUnit | string | byte
Units | string | Bytes
BytesTransmitted | uint64 |
Counter | boolean | true
Description | string | The total number of bytes that are transmitted, including framing characters.
MappingStrings | string | MIB.IETF|MIB-II.ifOutOctets, MIF.DMTF|Network Adapter 802 Port|001.7
PUnit | string | byte
Units | string | Bytes
PacketsReceived | uint64 |
Counter | boolean | true
Description | string | The total number of packets that are received.
PacketsTransmitted | uint64 |
Counter | boolean | true
Description | string | The total number of packets that are transmitted.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ResetSelectedStats | uint32 | CIM_StatisticalData